%define name	leafnode
%define version	1.9.46
%define release 1mdk

Summary:	Leafnode - a leafsite NNTP server
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	Artistic
Group: 		System/Servers
URL:		http://www.leafnode.org
Source: http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.rel.tar.bz2
Source1: http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.rel.tar.bz2.asc
Source2:	%{name}.texpire
Source3:	%{name}.filters
Source4: 	%{name}.xinetd
Conflicts:	inn
BuildRequires:	libpcre-devel
Buildroot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	xinetd

%description
Leafnode is a small NNTP server for leaf sites without permanent
connection to the internet. It supports a subset of NNTP and is able to
automatically fetch the newsgroups the user reads regularly from the
newsserver of the ISP.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %name-%version.rel 

%build
%configure --with-spooldir=/var/spool/news \
	   --with-lockfile=/var/lock/news/%name \
	   --sysconfdir=%{_sysconfdir}/%name
make 

#perl -p -i -e 's|/etc/inetd.conf|/etc/xinetd.d/leafnode|' `grep -r /etc/inetd.conf ../$RPM_BUILD_dir/%{name}-%{version}.rel|awk '{print $1}'| sed 's|^..\/BUILD\/||'|sed -e 's|:.*$|\1|'`

%install
make DESTDIR=$RPM_BUILD_ROOT install
install -d $RPM_BUILD_ROOT%{_sysconfdir}/{cron.daily,leafnode}
install -m 755 %SOURCE2 $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily/texpire
install -m 600 $RPM_BUILD_DIR/%name-%version.rel/config.example $RPM_BUILD_ROOT%{_sysconfdir}/leafnode/config
install -m 600 %SOURCE3 $RPM_BUILD_ROOT%{_sysconfdir}/leafnode/filters
install -D -m644 %{SOURCE4} %buildroot/etc/xinetd.d/%{name}

cp doc_german/README doc_german/README.de

# Install the man pages
install -d $RPM_BUILD_ROOT%{_mandir}/{,de}/man{1,3,8}
install -m 644 doc_german/*.1 $RPM_BUILD_ROOT%{_mandir}/de/man1
rm -rf doc_german/*.1
install -m 644 doc_german/*.8 $RPM_BUILD_ROOT%{_mandir}/de/man8
rm -rf doc_german/*.8
install -m 644 `find . -name "*.1"` $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 `find . -name "*.8"` $RPM_BUILD_ROOT%{_mandir}/man8
rm -f $RPM_BUILD_ROOT%{_mandir}/man?/pcre*

%pre
if [ -f %{_sysconfdir}/cron.daily/texpire.cron ] ; then
        rm -f %{_sysconfdir}/cron.daily/texpire.cron
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (644,root,root,755)
%doc COPYING CREDITS INSTALL README TODO tools/archivefaq.pl update.sh
#%doc doc_german/README.de doc_german/txt/*
%attr(755,root,root) %config(noreplace) %{_sysconfdir}/cron.daily/texpire
%attr (644,root,man) %{_mandir}/man1/*
%attr (644,root,man) %{_mandir}/de/man1/*
%attr (644,root,man) %{_mandir}/man8/*
%attr (644,root,man) %{_mandir}/de/man8/*
#%attr (644,root,man) %{_mandir}/de/man1/*
#%attr (644,root,man) %{_mandir}/de/man8/*
%defattr (644,news,news,755)
%dir %{_sysconfdir}/leafnode
%attr(600,news,news) %config(noreplace) %{_sysconfdir}/leafnode/*
%config(noreplace) %{_sysconfdir}/xinetd.d/%{name}
%attr(750,news,news) %{_sbindir}/*
%attr(755,news,news) %{_bindir}/*
%dir /var/lock/news
%dir /var/spool/news
%dir /var/spool/news/*
%dir /var/spool/news/message.id/*


%changelog
* Fri Nov 07 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.9.46-1mdk
- new release

* Thu Aug 07 2003 Florin <florin@mandrakesoft.com> 1.9.42-1mdk
- 1.9.42

* Thu Jun 05 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.9.41-2mdk
- fix conflict with libpcre0

* Mon Jun 02 2003 Florin <florin@mandrakesoft.com> 1.9.41-1mdk
- 1.9.41
- add the asc source

* Thu Apr 03 2003 Florin <florin@mandrakesoft.com> 1.9.36-1mdk
- 1.9.36

* Thu Jan 09 2003 Florin <florin@mandrakesoft.com> 1.9.32-1mdk
- 1.9.32
- add the missing files

* Mon Oct 28 2002 Florin <florin@mandrakesoft.com> 1.9.29-1mdk
- 1.9.29
- update the Source url
- bring back the german man pages

* Mon Aug 05 2002 Florin <florin@mandrakesoft.com> 1.9.24-3mdk
- update the URL tag

* Sun Aug 04 2002 Stefan van der Eijk <stefan@eijk,nu> 1.9.24-2mdk
- BuildRequires

* Fri Aug 02 2002 Florin <florin@mandrakesoft.com> 1.9.24-1mdk
- 1.9.24

* Fri May 03 2002 Florin <florin@mandrakesoft.com> 1.9.22-1mdk
- 1.9.22

* Mon Apr 15 2002 Florin <florin@mandrakesoft.com> 1.9.20-3mdk
- fix the config file location

* Mon Apr 15 2002 Florin <florin@mandrakesoft.com> 1.9.20-2mdk
- fix the configure section

* Mon Apr 08 2002 Florin <florin@mandrakesoft.com> 1.9.20-1mdk
- 1.9.20
- remove the patch
- comment out the obsolete german docs

* Thu Dec 13 2001 Florin <florin@mandrakesoft.com> 1.9.19-2mdk
- update the man page

* Tue Oct 09 2001 Florin <florin@mandrakesoft.com> 1.9.19-1mdk
- 1.9.19

* Fri Sep 14 2001 Florin <florin@mandrakesoft.com> 1.9.18-4mdk
- s/Copyright/License
- remove the german description
- add the man7 man page

* Sun Mar 18 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.9.18-3mdk
- Remove inetd.conf stuff in %post.

* Wed Feb 21 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.9.18-2mdk
- s|netkit-base|xinetd|;

* Fri Dec 01 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.9.18-1mdk
- new and shiny source.
- remove CHANGES from the filelist (no such file or directory).

* Mon Nov 06 2000 Florin Grad <florin@mandrakesoft.com> 1.9.17-2mdk
- add leafnode-xinetd (thks to Martin Blaszczyk)

* Fri Sep 08 2000 Florin Grad <florin@mandrakesoft.com> 1.9.17-1mdk
- new release

* Tue Aug 29 2000 Florin Grad <florin@mandrakesoft.com> 1.9.16-1mdk
- new release
- changing some macros

* Wed Aug 02 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.9.15-1mdk
- new release
- BM

* Mon Jul 17 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.9.14-1mdk
- fix build as root (Skwar sucks :-) )
- use new macros
- Alexander Skwar <ASkwar@DigitalProjects.com>
	* Upgraded to version 1.9.14
	* Used the german man pages from Alexander Stielau and Alexander Reinwarth

* Tue Apr 18 2000 Pixel <pixel@mandrakesoft.com> 1.9.12-3mdk
- add require netkit-base

* Tue Apr  4 2000 Denis Havlik <denis@mandrakesoft.com> 1.9.12-2mdk
- changed permissions of /var* dirs to 755 (rpmlint!) 

* Thu Mar 30 2000 Denis Havlik <denis@mandrakesoft.com> 1.9.12-1mdk
- new Group (System/Servers)
- changed leafnode-buildroot.patch
- explicitely list attributes in %files section
- changed "Copyright:" to artistic

* Sat Feb  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.9.9-2mdk
- Chown to news.news some files.

* Tue Jan 25 2000 Lenny Cartier <lenny@mandrakesoft.com>
- v1.9.9
- used srpm provided by Andre Steden <andre@steden.de>

* Tue Jan 18 2000 Andre Steden <andre@steden.de>
- build for mandrake-linux
- add leafnode-buildroot.patch
